> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# レッドパケット - 受取

> 既存のレッドパケットからトークンを受け取る



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml POST /v2/redpacket/{chain}/claim
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/redpacket/{chain}/claim:
    post:
      tags:
        - RedPacket
      summary: レッドパケット - 受取
      description: 既存のレッドパケットからトークンを受け取る
      operationId: claim.redpacket
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimRedPacketRequest'
        required: true
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimRedPacketResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    ClaimRedPacketRequest:
      type: object
      description: 受取者のウォレットアドレス
      required:
        - claimer
      properties:
        claimer:
          type: string
          description: 受取者のウォレットアドレス
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        packetId:
          type:
            - string
            - 'null'
          description: レッドパケットのオンチェーン ID
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        password:
          type:
            - string
            - 'null'
          description: 受取用のレッドパケットパスワード
          example: '123456'
        shareId:
          type:
            - string
            - 'null'
          description: 共有識別子
          example: abc123
    ClaimRedPacketResponse:
      type: object
      description: Claim red packet response
      required:
        - txSerialize
      properties:
        txSerialize:
          type: string
          description: シリアライズされたトランザクションデータ
          example: AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````